@import "../styles/animations.css";

.backDrop {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 3;
  height: 100vh;
  width: 100vw;

  background-color: rgba(0, 0, 0, 0.374);
}

.backDrop.isOpen {
  display: block;
}

.modal {
  position: absolute;
  top: 50%;
  left: 50%;
  overflow: hidden;

  display: flex;
  flex-direction: column;

  width: 320px;
  height: 600px;

  transform: translate(-50%, -50%);
  background-color: var(--white-color);

  
  @media screen and (min-width: 1024px) {
    width: 960px;
    height: 600px;

    flex-direction: row-reverse;
  }
    opacity: 0;

  animation: opacityAnimation;
  animation-duration: 500ms;
  animation-timing-function: ease-in-out;
  animation-delay: 250ms;
  animation-fill-mode: forwards;
}

.modal.sended {
  background-size: auto 100%;
  background-position: center center;
}

.modalContentWrapper {
  position: absolute;
  top: 0;
  left: 0;
  padding: 24px 16px;
  width: 100%;

  background-color: var(--white-color);
  transition: top var(--transition-duration) ease-in-out, right var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1024px) {
    right: 0;
    left: auto;

    width: 50%;
    height: 100%;

    padding: 40px;
  }
}

.modal.sended .modalContentWrapper {
  @media screen and (max-width: 1023px) {
    top: -100%;
  }
  @media screen and (min-width: 1024px) {
    right: -100%;
  }
}

.modalForm {
  display: flex;
  flex-direction: column;
  transition: transform var(--transition-duration) ease-in-out;
}
/* .wpcf7.no-js {
  display: flex;
  flex-direction: column;
  width: 100%;
} */
.modalForm.sended {
}

.modalHeader {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;

  margin-bottom: 35px;

  @media screen and (min-width: 1024px) {
    margin-bottom: 104px;
  }
}

.modalTitle {
  font-family: TT Firs Neue;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: -0.01em;
  text-align: left;

  color: var(--black-color);

  @media screen and (min-width: 1024px) {
    font-size: 24px;
    line-height: 32px;
  }
}

.modalCloseButton {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 32px;
  height: 32px;

  background-color: var(--blue-color);

  @media screen and (min-width: 1024px) {
    width: 48px;
    height: 48px;
  }
}

.modalCloseButtonIcon {
  display: flex;
  width: 16px;
  height: 16px;

  stroke: var(--white-color);

  @media screen and (min-width: 1024px) {
    width: 24px;
    height: 24px;
  }
}

.modalLabel {
    position: relative;
  background-color: var(--border-grey-color);

  display: flex;
}

.modalLabel:not(:first-of-type) {
  margin-top: 16px;
  
   @media screen and (min-width: 1024px) {
     margin-top: 20px;
}
}

.errorText{
    position: absolute;
    bottom: -14px;
    left: 14px;
    
     font-size: 10px;
     color: #D10000;
     
     opacity:0;
     transition: opacity var(--transition-duration) ease-in-out;
     
    @media screen and (min-width: 1024px) {
        bottom: -16px;
        font-size: 12px;
    }
}
.errorText.isShow{
     opacity:1;
}

.modalInput {
  padding: 8px 14px;
  width: 100%;

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;
  text-align: left;
  color: var(--black-color);

  @media screen and (min-width: 1024px) {
    padding: 12px 16px;

    font-size: 16px;
    line-height: 24px;
  }
}

.modalInput::placeholder {
  color: var(--secondary-grey-color);
  transition: color var(--transition-duration) ease-in-out;
}

.modalInput:hover::placeholder,
.modalInput:focus::placeholder {
  color: var(--black-color);
}

.modalSubmitButton {
  position: relative;
  margin-top: 35px;

  display: flex;
  align-items: center;
  justify-content: space-between;

  /* padding: 10px 16px; */

  background-color: var(--blue-color);
  color: var(--white-color);

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;

  transition: background-color var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1024px) {
    margin-top: 80px;

    font-size: 16px;
    line-height: 24px;
  }
}

.inputSubmit {
  width: 100%;
  padding: 10px 16px;
  color: transparent;
      pointer-events: all;
}
.inputSubmit:disabled{
    pointer-events: none;
}

.modalSubmitButton:hover,
.modalSubmitButton:focus {
  background-color: var(--blue-hover-color);
}

.succesText{
    position: absolute;
    top: 0;
    left: 0;
    
    font-size: 16px;
     color: #228B22;
     
     opacity: 1;
}


.modalSubmitButtonIcon {
  position: absolute;

  top: 50%;
  right: 16px;

  transform: translateY(-50%);

  display: block;
  width: 16px;
  height: 16px;

  stroke: var(--white-color);
  @media screen and (min-width: 1024px) {
    width: 24px;
    height: 24px;
  }
}

.modalSubmitText {
  position: absolute;
  pointer-events: none;
  top: 50%;
  left: 16px;

  transform: translateY(-50%);
}

.modalCheckBoxInput {
  /* position: absolute;
  z-index: 1;

  opacity: 1; */
}

.modalCheckBoxInput:checked + label .modalFakeCheckBox {
  background-color: var(--blue-color);
}

.modalCheckBoxLabel {
  display: flex;
  align-items: flex-start;
  width: 100%;
  margin-top: 14px;
}

.wpcf7-form-control.wpcf7-acceptance {
  display: flex;
  justify-content: center;
  align-items: center;
}

.wpcf7-list-item {
  margin: 0px;
}


.modalCheckBoxSpan {
  width: fit-content;
  margin-left: 8px;

  font-family: Futura PT;
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  letter-spacing: 0em;
  text-align: left;

  color: var(--secondary-grey-color);
}

.modalImageWrapper {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 320px;
  height: 200px;
  background-image: url("../static/images/modalTest.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;

  transition: height var(--transition-duration) ease-in-out, width var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1024px) {
    left: 0;
    right: auto;

    width: 50%;
    height: 100%;
  }
}

.modal.sended .modalImageWrapper {
  height: 100%;

  @media screen and (min-width: 1024px) {
    width: 100%;
  }
}

.modalSendedBox {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;

  font-family: TT Firs Neue;
  font-weight: 500;
  letter-spacing: -0.01em;
  text-align: left;
  color: var(--white-color);

  background-color: rgba(0, 0, 0, 0.345);

  opacity: 0;
  transition: opacity var(--transition-duration) ease-in-out, background-position var(--transition-duration) ease-in-out;
}

.modal.sended .modalSendedBox {
  opacity: 1;

  @media screen and (min-width: 1024px) {
  }
}

.modalSendedBoxTextWrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 240px;

  @media screen and (min-width: 1024px) {
    margin-right: 142px;
    margin-left: auto;
    width: 334px;
  }
}

.modalSendedBoxTitle {
  margin-right: auto;
  text-transform: uppercase;
  font-size: 32px;
  line-height: 40px;

  @media screen and (min-width: 1024px) {
    font-size: 56px;
    line-height: 64px;
    letter-spacing: 0em;
  }
}
.modalSendedBoxText {
  margin-top: 16px;

  font-size: 14px;
  line-height: 20px;
  @media screen and (min-width: 1024px) {
    margin-top: 24px;

    font-size: 16px;
    line-height: 24px;
  }
}

#blog_olList_isOpen_page {
  display: block;
  height: 200px;
}


.inputSubmit.disabled{
    pointer-events: none;
}
.modalSubmitButton.disabled{
   background-color: grey;
}

.wpcf7-response-output{
    display: none;
}

